# Item Class Reference

`#include <Item.hpp>`

Inheritance diagram for Item:

[legend]
List of all members.

## Public Types

typedef RefCountPointer< const Item > | Ptr

## Public Member Functions

virtual bool | isNode () const =0
virtual bool | isAtomicValue () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual void * | getInterface (const XMLCh *name) const =0
| Method for returning arbitrary interfaces from the implementations.

## Static Public Attributes

static const XMLCh | gXQilla []
| The "XQilla" item interface.

## Protected Member Functions

| Item ()

## Member Typedef Documentation

typedef RefCountPointer<const Item> Item::Ptr

| Reimplemented in AnyAtomicType, ATBooleanOrDerived, ATDateOrDerived, ATDateTimeOrDerived, ATDecimalOrDerived, ATDoubleOrDerived, ATDurationOrDerived, ATFloatOrDerived, ATGDayOrDerived, ATGMonthDayOrDerived, ATGMonthOrDerived, ATGYearMonthOrDerived, ATGYearOrDerived, ATQNameOrDerived, ATStringOrDerived, ATTimeOrDerived, DateOrTimeType, Node, and Numeric.

## Constructor & Destructor Documentation

Item::Item | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual const XMLCh* Item::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

Implemented in AnyAtomicType, ATAnySimpleType, ATAnyURIOrDerived, ATBase64BinaryOrDerived, ATBooleanOrDerived, ATDateOrDerived, ATDateTimeOrDerived, ATDecimalOrDerived, ATDoubleOrDerived, ATDurationOrDerived, ATFloatOrDerived, ATGDayOrDerived, ATGMonthDayOrDerived, ATGMonthOrDerived, ATGYearMonthOrDerived, ATGYearOrDerived, ATHexBinaryOrDerived, ATNotationOrDerived, ATQNameOrDerived, ATStringOrDerived, ATTimeOrDerived, ATUntypedAtomic, Node, and Numeric.

virtual void* Item::getInterface | ( | const XMLCh * | name | ) | const`[pure virtual]`

| Method for returning arbitrary interfaces from the implementations.

virtual const XMLCh* Item::getTypeName | ( |  | ) | const`[pure virtual]`

Implemented in AnyAtomicType, ATAnySimpleType, ATAnyURIOrDerived, ATBase64BinaryOrDerived, ATBooleanOrDerived, ATDateOrDerived, ATDateTimeOrDerived, ATDecimalOrDerived, ATDoubleOrDerived, ATDurationOrDerived, ATFloatOrDerived, ATGDayOrDerived, ATGMonthDayOrDerived, ATGMonthOrDerived, ATGYearMonthOrDerived, ATGYearOrDerived, ATHexBinaryOrDerived, ATNotationOrDerived, ATQNameOrDerived, ATStringOrDerived, ATTimeOrDerived, ATUntypedAtomic, Node, and Numeric.

virtual const XMLCh* Item::getTypeURI | ( |  | ) | const`[pure virtual]`

Implemented in AnyAtomicType, ATAnySimpleType, ATAnyURIOrDerived, ATBase64BinaryOrDerived, ATBooleanOrDerived, ATDateOrDerived, ATDateTimeOrDerived, ATDecimalOrDerived, ATDoubleOrDerived, ATDurationOrDerived, ATFloatOrDerived, ATGDayOrDerived, ATGMonthDayOrDerived, ATGMonthOrDerived, ATGYearMonthOrDerived, ATGYearOrDerived, ATHexBinaryOrDerived, ATNotationOrDerived, ATQNameOrDerived, ATStringOrDerived, ATTimeOrDerived, ATUntypedAtomic, Node, and Numeric.

virtual bool Item::isAtomicValue | ( |  | ) | const`[pure virtual]`

| Implemented in AnyAtomicType, and Node.

virtual bool Item::isNode | ( |  | ) | const`[pure virtual]`

| Implemented in AnyAtomicType, and Node.

## Member Data Documentation

const XMLCh Item::gXQilla[]`[static]`

| The "XQilla" item interface.

The documentation for this class was generated from the following file:

- Item.hpp